#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(st_sensors_i2c_configure, "", "IIO_ST_SENSORS");

SYMBOL_CRC(st_sensors_i2c_configure, 0xd2a89cc2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdc154082, "__devm_regmap_init_i2c" },
	{ 0xd1005013, "_dev_err" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "");

